Generations
List generation apps
Get all available generation app templates. These define what types of content you can generate.
GET
/
generation-apps
List generation apps
curl --request GET \
--url https://app.mavera.io/api/v1/generation-apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/generation-apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/generation-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/generation-apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "generation_app",
"name": "<string>",
"category": "<string>",
"description": "<string>",
"input_type": "<string>",
"input_fields": [
{
"name": "<string>",
"label": "<string>",
"placeholder": "<string>",
"options": [
"<string>"
]
}
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"categories": [
"<string>"
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Query Parameters
Filter by category
⌘I
List generation apps
curl --request GET \
--url https://app.mavera.io/api/v1/generation-apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/generation-apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/generation-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/generation-apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "generation_app",
"name": "<string>",
"category": "<string>",
"description": "<string>",
"input_type": "<string>",
"input_fields": [
{
"name": "<string>",
"label": "<string>",
"placeholder": "<string>",
"options": [
"<string>"
]
}
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"categories": [
"<string>"
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}